Debian Bug report logs - #397624
Color changes on redraw

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Loïc Minier <lool@dooz.org>

Date: Wed, 8 Nov 2006 13:33:24 UTC

Severity: normal

Found in version xterm/222-1

Fixed in version xterm/223-1

Done: David Nusinow <dnusinow@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#397624; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Color changes on redraw
Date: Wed, 8 Nov 2006 14:24:36 +0100
Package: xterm
Version: 222-1
Severity: normal

        Hi,

 xterm was blinking on start during the period where the package wasn't
 sourcing /etc/X11/app-defaults/XTerm-color due to
 /etc/X11/Xresources/x11-common gone missing.  During this period of
 time, I noticed something which looks like a bug which I can reproduce
 easily:
 1) comment out in /etc/X11/app-defaults/XTerm-color:
    !*VT100*foreground: gray90
    !*VT100*background: black
 2) set reverseVideo, e.g. with your .Xdefaults-$hostname:
    XTerm.VT100.reverseVideo: true
 3) start a program not filling the terminal with data:
    xterm -e sleep 100
 4) switch workspace

 after 3), I get a black xterm window, which honors my settings since I
 asked for reversevideo, but after step 4) which probably triggers a
 redraw, I get a white xterm window.

 This looks like xterm is honoring reverseVideo on startup, but not on
 redraws.

 When *VT100*foreground and *VT100*background are set in
 /etc/X11/app-defaults/XTerm-color, I don't see the bug, presumably
 because these vars are honored on redraw.

 When my terminal was filled with chars at least once, I don't see the
 bug anymore, for example if I launch "xterm -e sh", I get the bug, if I
 type "clear", I don't get the bug anymore.

    Bye,

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-686
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

Versions of packages xterm depends on:
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libfontconfig1               2.4.1-2     generic font configuration library
ii  libice6                      1:1.0.1-2   X11 Inter-Client Exchange library
ii  libncurses5                  5.5-5       Shared libraries for terminal hand
ii  libsm6                       1:1.0.1-3   X11 Session Management library
ii  libx11-6                     2:1.0.3-2   X11 client-side library
ii  libxaw7                      1:1.0.2-4   X11 Athena Widget library
ii  libxext6                     1:1.0.1-2   X11 miscellaneous extension librar
ii  libxft2                      2.1.8.2-8   FreeType-based font drawing librar
ii  libxmu6                      1:1.0.2-2   X11 miscellaneous utility library
ii  libxt6                       1:1.0.2-2   X11 toolkit intrinsics library
ii  xbitmaps                     1.0.1-2     Base X bitmaps

Versions of packages xterm recommends:
ii  xutils                      1:7.1.ds.3-1 X Window System utility programs

-- no debconf information

-- 
Loïc Minier <lool@dooz.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#397624; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 397624@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Loïc Minier <lool@dooz.org>, 397624@bugs.debian.org
Subject: Re: Bug#397624: Color changes on redraw
Date: Thu, 9 Nov 2006 20:35:46 -0500
[Message part 1 (text/plain, inline)]
On Wed, Nov 08, 2006 at 02:50:11PM +0100, Loïc Minier wrote:
> Package: xterm
> Version: 222-1
> Severity: normal
...
I have another report on #222 which sounds similar - but to compare, it
might be helpful to know which window manager you're using (in case it's
not the same bug ;-).
 
-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#397624; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien.cristau@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 397624@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien.cristau@ens-lyon.org>
To: Thomas Dickey <dickey@radix.net>, 397624@bugs.debian.org
Cc: Loïc Minier <lool@dooz.org>
Subject: Re: Bug#397624: Color changes on redraw
Date: Fri, 10 Nov 2006 02:57:22 +0100
[Message part 1 (text/plain, inline)]
On Thu, Nov  9, 2006 at 20:35:46 -0500, Thomas Dickey wrote:

> On Wed, Nov 08, 2006 at 02:50:11PM +0100, Loïc Minier wrote:
> > Package: xterm
> > Version: 222-1
> > Severity: normal
> ...
> I have another report on #222 which sounds similar - but to compare, it
> might be helpful to know which window manager you're using (in case it's
> not the same bug ;-).
>  
I was able to reproduce this bug, and I'm using fluxbox.
Interestingly, when running xterm with the -r option instead of setting
the VT100.reverseVideo resource to true, the bug doesn't seem to be
reproducible.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#397624; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 397624@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Julien Cristau <julien.cristau@ens-lyon.org>
Cc: Thomas Dickey <dickey@radix.net>, 397624@bugs.debian.org, Loïc Minier <lool@dooz.org>
Subject: Re: Bug#397624: Color changes on redraw
Date: Thu, 9 Nov 2006 21:07:11 -0500
[Message part 1 (text/plain, inline)]
On Fri, Nov 10, 2006 at 02:57:22AM +0100, Julien Cristau wrote:
> On Thu, Nov  9, 2006 at 20:35:46 -0500, Thomas Dickey wrote:
> 
> > On Wed, Nov 08, 2006 at 02:50:11PM +0100, Loïc Minier wrote:
> > > Package: xterm
> > > Version: 222-1
> > > Severity: normal
> > ...
> > I have another report on #222 which sounds similar - but to compare, it
> > might be helpful to know which window manager you're using (in case it's
> > not the same bug ;-).
> >  
> I was able to reproduce this bug, and I'm using fluxbox.
> Interestingly, when running xterm with the -r option instead of setting
> the VT100.reverseVideo resource to true, the bug doesn't seem to be
> reproducible.

thanks.  The earlier report didn't seem to rely on the window manager
(but on the resource settings).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#397624; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 397624@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Thomas Dickey <dickey@radix.net>
Cc: 397624@bugs.debian.org
Subject: Re: Bug#397624: Color changes on redraw
Date: Fri, 10 Nov 2006 08:50:43 +0100
On Thu, Nov 09, 2006, Thomas Dickey wrote:
> I have another report on #222 which sounds similar - but to compare, it
> might be helpful to know which window manager you're using (in case it's
> not the same bug ;-).

 It's metacity; Julien Cristau gets the bug too, but he might be under
 metacity as well, Julien?

-- 
Loïc Minier <lool@dooz.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#397624; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 397624@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Thomas Dickey <dickey@radix.net>
Cc: 397624@bugs.debian.org
Subject: Re: Bug#397624: Color changes on redraw
Date: Fri, 10 Nov 2006 08:55:45 +0100
On Fri, Nov 10, 2006, Loïc Minier wrote:
>  It's metacity; Julien Cristau gets the bug too, but he might be under
>  metacity as well, Julien?

 Oh well, I'm commenting after the battle.  Thanks Julien!

-- 
Loïc Minier <lool@dooz.org>



Message sent on to Loïc Minier <lool@dooz.org>:
Bug#397624. Full text and rfc822 format available.

Message #33 received at 397624-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 397624-submitter@bugs.debian.org
Subject: re: #397624 Color changes on redraw
Date: Thu, 30 Nov 2006 20:31:36 -0500
[Message part 1 (text/plain, inline)]
I think this sounds like #339638 (which is fixed in xterm #223).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to David Nusinow <dnusinow@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Loïc Minier <lool@dooz.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 397624-close@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 397624-close@bugs.debian.org
Subject: Bug#397624: fixed in xterm 223-1
Date: Tue, 05 Dec 2006 00:47:02 +0000
Source: xterm
Source-Version: 223-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_223-1.diff.gz
  to pool/main/x/xterm/xterm_223-1.diff.gz
xterm_223-1.dsc
  to pool/main/x/xterm/xterm_223-1.dsc
xterm_223-1_i386.deb
  to pool/main/x/xterm/xterm_223-1_i386.deb
xterm_223.orig.tar.gz
  to pool/main/x/xterm/xterm_223.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 397624@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Nusinow <dnusinow@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  4 Dec 2006 19:27:21 -0500
Source: xterm
Binary: xterm
Architecture: source i386
Version: 223-1
Distribution: unstable
Urgency: low
Maintainer: David Nusinow <dnusinow@debian.org>
Changed-By: David Nusinow <dnusinow@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 347722 382225 397624 399638
Changes: 
 xterm (223-1) unstable; urgency=low
 .
   [ Julien Cristau ]
   * New upstream release. Includes the following fixes for bugs reported in
     the Debian BTS:
     + add the Xaw scrollbar translations resource to the xterm manpage, add an
       example showing how to change the mouse button assignments
       (closes: #382225).
     + amend cell-width computation for FreeType from patch #217, which did not
       work for VT100 line-drawing characters (closes: #399638).
     + revert an optimisation in SGR_Foreground() and SGR_Background from patch
       #209 (closes: #347722).
     + fixes to make the internalBorder area not change color due to
       reverseVideo and/or related exposure events.  The latter was a very old
       bug exposed in patch #196 (closes: #397624).
    * The fix for #347790 is now included upstream.
Files: 
 0dba4a810da97051168829e842c3d22d 813 x11 optional xterm_223-1.dsc
 bf5bb77496ddf95df32b8e752a6cabb0 804647 x11 optional xterm_223.orig.tar.gz
 1c2b55d636de9271f05364133fb13790 61456 x11 optional xterm_223-1.diff.gz
 66f5c12e9f408a45c22b34a532cbf19d 439164 x11 optional xterm_223-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFdL7tyLfpNdY0ad8RAu1XAJ9dJlPcWA0ioIA7GEMA/eUFnZav8gCfWZYH
PgCbvIVWv4OvjGjRQFq8bjk=
=DBJ2
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#397624; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #43 received at 397624@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Thomas Dickey <dickey@his.com>
Cc: 397624@bugs.debian.org
Subject: Re: #397624 Color changes on redraw
Date: Tue, 5 Dec 2006 22:26:03 +0100
[Message part 1 (text/plain, inline)]
        Hi there,

 I see my bug was closed with:
     + fixes to make the internalBorder area not change color due to
       reverseVideo and/or related exposure events.  The latter was a very old
       bug exposed in patch #196 (closes: #397624).
 however, I now get a colored border around my Mutt window, changing
 colors as the contents of the window changes.  (See attached
 screenshot.)

 Should I reopen this bug or file a new one?

   Bye,
-- 
Loïc Minier <lool@dooz.org>
[Capture-Mutt with 406 messages.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#397624; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #48 received at 397624@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Loïc Minier <lool@dooz.org>
Cc: 397624@bugs.debian.org
Subject: Re: #397624 Color changes on redraw
Date: Tue, 5 Dec 2006 16:37:08 -0500 (EST)
[Message part 1 (text/plain, inline)]
On Tue, 5 Dec 2006, Loïc Minier wrote:

>        Hi there,
>
> I see my bug was closed with:
>     + fixes to make the internalBorder area not change color due to
>       reverseVideo and/or related exposure events.  The latter was a very old
>       bug exposed in patch #196 (closes: #397624).
> however, I now get a colored border around my Mutt window, changing
> colors as the contents of the window changes.  (See attached
> screenshot.)
>
> Should I reopen this bug or file a new one?

#401726 seems to be addressing this case.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:52:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:01:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.